Update multiple tasks
POST
/api/v1/tasks/bulk/update
Authorizations
Section titled “ Authorizations ”Request Bodyrequired
Section titled “ Request Bodyrequired ” Media type application/json
object
taskIds
required
Task IDs to update
Array<string>
patch
required
Common task fields to apply to every selected task
object
status
New status for the task
string
assigneeId
ID of the user assigned to this task
string
reviewerId
ID of the reviewer for this task
string
Examples
{ "taskIds": [ "507f1f77bcf86cd799439011", "507f1f77bcf86cd799439012", "507f1f77bcf86cd799439013" ], "patch": { "status": "RESOLVED" }}{ "taskIds": [ "507f1f77bcf86cd799439011", "507f1f77bcf86cd799439012", "507f1f77bcf86cd799439013" ], "patch": { "status": "PENDING", "assigneeId": "60d5ecb54b24003a7c8e92b2", "reviewerId": "60d5ecb54b24003a7c8e92b2" }}Responses
Section titled “ Responses ”Tasks updated successfully
Media type application/json
object
taskIds
required
Array<string>
skippedTaskIds
required
Array<string>
changedCount
required
number
skippedCount
required
number
Example
{ "taskIds": [ "507f1f77bcf86cd799439011", "507f1f77bcf86cd799439012" ], "skippedTaskIds": [ "507f1f77bcf86cd799439013" ], "changedCount": 2, "skippedCount": 1}Grouped screening tasks must be resolved from the group review
One or more tasks are outside the caller account
One or more tasks were not found